#!/bin/sh

gpiocmd="$(command -v gpio)"

if [ -z "$gpiocmd" ]; then
        echo "Command gpio missing, try to install ..."

        echo "Check internet connection ..."
        pingserver="raspbian.raspberrypi.org"	### var: pingcheck destination 
        if ! ping -q -c1 $pingserver>/dev/null; then
                echo "No internet connection ..."
                exit 0
        fi

        wget https://project-downloads.drogon.net/wiringpi-latest.deb
        sudo dpkg -i wiringpi-latest.deb
        rm wiringpi-latest.deb

#       sudo apt update; sudo apt -y install wiringpi

        gpiocmd="$(command -v gpio)"
        if [ -z "$gpiocmd" ]; then
                echo "cannot install wiringpi, exiting ..."
                exit 0
        fi
fi

player="vlc"		### var: player process
gpiopin_led_b="28"	### var: gpio led blue

$gpiocmd mode $gpiopin_led_b out
$gpiocmd write $gpiopin_led_b 0

while true; do

	if [ -n "$(pgrep $player)" ]; then
		$gpiocmd write $gpiopin_led_b 1
		sleep 0.1
		$gpiocmd write $gpiopin_led_b 0
	fi

	sleep 5
done
